bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#30858: 27.0.50; tramp-error: Package `tramp-archive' not supported


From: Kaushal Modi
Subject: bug#30858: 27.0.50; tramp-error: Package `tramp-archive' not supported
Date: Mon, 19 Mar 2018 18:08:43 +0000

On Mon, Mar 19, 2018 at 2:04 PM Noam Postavsky <address@hidden> wrote:

Try also

(setq debug-ignored-errors (remq 'user-error debug-ignored-errors))

 Thanks! So that error was a user-error.. After evaluating that, and M-x toggle-debug-on-error.. trying to git stage that same tar.xz in Magit finally gave this backtrace:

Debugger entered--Lisp error: (user-error "Package `tramp-archive' not supported")
  signal(user-error ("Package `tramp-archive' not supported"))
  tramp-error(nil user-error "Package `tramp-archive' not supported")
  apply(tramp-error nil user-error "Package `tramp-archive' not supported" nil)
  tramp-archive-file-name-handler(file-regular-p "/home/kmodi/hugo/kaushalmodi.gitlab.io/bin/tidy_html5_DEV-Linux-64bit.tar.xz/.git")
  file-regular-p("/home/kmodi/hugo/kaushalmodi.gitlab.io/bin/tidy_html5_DEV-Linux-64bit.tar.xz/.git")
  magit-git-repo-p("tidy_html5_DEV-Linux-64bit.tar.xz" t)
  magit-stage-untracked(nil)
  magit-stage(nil)
  funcall-interactively(magit-stage nil)
  call-interactively(magit-stage nil nil)
  command-execute(magit-stage)

Looks like something wrong is happening at 2 places?

1. Magit is trying to do something with "tidy_html5_DEV-Linux-64bit.tar.xz/.git"? When "tidy_html5_DEV-Linux-64bit.tar.xz" is not actually a dir?
2. And that in turn triggering that tramp error, even when this is a local file, and shouldn't have tramp involved?
--

Kaushal Modi


reply via email to

[Prev in Thread] Current Thread [Next in Thread]